Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.graph.query.model
Enum SetQuery.Operation

    java.lang.Object
      java.lang.Enum<SetQuery.Operation>
          org.modeshape.graph.query.model.SetQuery.Operation

All Implemented Interfaces:
  Serializable, Comparable<SetQuery.Operation>, Readable

Enclosing class:
  SetQuery

    public static enum SetQuery.Operation

extends Enum<SetQuery.Operation>
implements Readable

Enum Constant Summary
`EXCEPT`
`INTERSECT`
`UNION`

Method Summary
`static SetQuery.Operation` | `forSymbol(String symbol)`
`String` | `getString()` Get the string representation of this query object.
`String` | `getSymbol()`
`String` | `toString()`
`static SetQuery.Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SetQuery.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNION

    public static final SetQuery.Operation UNION

### INTERSECT

    public static final SetQuery.Operation INTERSECT

### EXCEPT

    public static final SetQuery.Operation EXCEPT

Method Detail

### values

    public static SetQuery.Operation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SetQuery.Operation c : SetQuery.Operation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SetQuery.Operation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getSymbol

    public String getSymbol()

  Returns:
    symbol

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<SetQuery.Operation>`
  See Also:
    `Enum.toString()`

### forSymbol

    public static SetQuery.Operation forSymbol(String symbol)

### getString

    public String getString()

  Get the string representation of this query object.

  Specified by:
    `getString` in interface `Readable`
  Returns:
    the string representation; never null
  See Also:
    `Readable.getString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.